// DatePattern.java
import java.util.*;
import java.text.*;
class DatePattern {
	static void test(String p) {
		Locale lc = new Locale("en", "US");
		SimpleDateFormat sdf = new SimpleDateFormat(p, lc);
		System.out.println(p + "\t" + sdf.format(new Date()));
	}
	public static void main(String args[]) {
		test("dd.MM.yy");
		test("yyyy.MM.dd G 'at' hh.mm.ss z");
		test("yyy.MMMMM.dd GGG hh:mm aa");
		test("EEE,MMM d, \"yy");
		test("h:mm a");
		test("H:mm");
		test("H:mm:ss:SSS");
		test("K:mm a,z");
	}
}
