// CloseableFrame.java
import java.awt.*;
import java.awt.event.*;
class MyFrame extends Frame implements WindowListener {
	MyFrame() { this(""); }
	MyFrame(String s) {
		super(s);
		setLayout(new FlowLayout());
		setSize(100, 100);
		setVisible(true);
		addWindowListener(this);
	}
	public void windowClosing(WindowEvent e){
		dispose();
		System.exit(0);
	}
	public void windowClosed(WindowEvent e){}
	public void windowOpened(WindowEvent e){}
	public void windowIconified(WindowEvent e){}
	public void windowDeiconified(WindowEvent e){}
	public void windowActivated(WindowEvent e){}
	public void windowDeactivated(WindowEvent e){}
}
class CloseableFrame {
	public static void main(String args[]) {
		new MyFrame("MyFrame");
	}
}
