// DispatchEventTest.java
import java.awt.*;
import java.awt.event.*;
import java.util.*;
class MyFrame extends Frame {
	int x, y;
	MyFrame() {
		addMouseListener(new MouseAdapter() {
			public void mousePressed(MouseEvent e) {
				x = e.getX();
				y = e.getY();
				repaint();
			}
		});
		setSize(400, 300);
		setVisible(true);
	}
	public void paint(Graphics g) {
		g.fillOval(x, y, 20, 20);
	}
}
class DispatchEventTest {
	public static void main(String args[]) {
		Random r = new Random();
		MyFrame f = new MyFrame();
		while (true) {
			MouseEvent me = new MouseEvent(
				f, 				// source
				MouseEvent.MOUSE_PRESSED, 	// id
				System.currentTimeMillis(),// when
				InputEvent.BUTTON1_MASK, 	//modifiers
				Math.abs(r.nextInt() % 400), // x
				Math.abs(r.nextInt() % 300), // y
				0, 				// clickCount
				false); 			// popupTrigger
			f.dispatchEvent(me);
		}
	}
}
