// TextFieldTest.java
// using MyActionListener class from NewButton2.java
// using MyFrame class from CloseableFrame.java
import java.awt.*;
import java.awt.event.*;
class MyTextListener implements TextListener {
	public void textValueChanged(TextEvent e) {
		System.out.println("Text: "+e);
	}
}
class TextFieldTest {
	public static void main(String args[]) {
		MyFrame f = new MyFrame();
		f.setSize(600,100);
		f.add(new Label("Name"));
		TextField t1 = new TextField("Enter your name here", 45));
		f.add(t1);
		f.add(new Label("Password"));
		TextField t2 = (TextField) f.add(new TextField(4));
		t2.setEchoChar('*');
		MyActionListener a = new MyActionListener();
		t1.addActionListener(a);
		t2.addActionListener(a);
		t2.addTextListener(new MyTextListener());
		f.validate();
	}
}
