// FileFilterTest.java
import java.awt.*;
import java.io.File;
import java.util.*;
import javax.swing.*;
import javax.swing.filechooser.*;
class MyFileFilter extends FileFilter {
	private Hashtable h = new Hashtable();
	public boolean accept(File f) {
		if (f.isDirectory())
			return true;
		String n = f.getName();
		int i = n.lastIndexOf('.');
		if (i > 0 && i < n.length()-1) {
			String e = n.substring(i+1);
			if (e != null && h.get(e) != null)
				return true;
		}
		return false;
	}
	public String getDescription() { return null;}
	public void addExtension(String e) { h.put(e, this); }

}
class FileFilterTest {
	public static void main(String args[]) {
		JFileChooser jf = new JFileChooser(".");
		MyFileFilter ff = new MyFileFilter();
		ff.addExtension("java");
		ff.addExtension("html");
		jf.setFileFilter(ff);
		int r = jf.showOpenDialog(new JFrame());
	}
}
