// JScrollBarModel.java
import java.awt.*;
import javax.swing.*;
import javax.swing.event.*;
class MyChangeListener implements ChangeListener {
	public void stateChanged(ChangeEvent e) {
		DefaultBoundedRangeModel m =
(DefaultBoundedRangeModel) e.getSource();
		if (m.getValueIsAdjusting()) {
			int min = m.getMinimum();
			int v = m.getValue();
			int max = m.getMaximum();
			System.out.println(min + "," + v + "," + max);
		}
	}
}
public class JScrollBarModel extends JApplet {
	public void init() {
		DefaultBoundedRangeModel m = 
					new DefaultBoundedRangeModel();
		m.addChangeListener(new MyChangeListener());
		m.setValueIsAdjusting(false);
		m.setMinimum(1);
		m.setMaximum(99);
		m.setExtent(10);
		m.setValueIsAdjusting(true);
		JScrollBar sb = new JScrollBar(JScrollBar.HORIZONTAL);
		sb.setModel(m);
		getContentPane().add(sb, BorderLayout.NORTH);
	}
}
// <applet code=JScrollBarModel width=300 height=50></applet>
