// TableModelTest.java
import javax.swing.*;
import javax.swing.table.*;
class MyAbstractTableModel extends AbstractTableModel {
	String h[] = {"Id", "Name", "Department"};
	String d[][] = {{"123", "John Rambo", "Math"},
			{"666", "Jack Ripper", "Bio"},
			{"013", "Ted Bundy", "Computer"}};
	public int getColumnCount() { return h.length; }
	public int getRowCount() { return d.length;}
	public Object getValueAt(int r, int c) { return d[r][c]; }
	public String getColumnName(int i) { return h[i]; }
}
public class TableModelTest extends JApplet {
	public void init() {
		JTable jt = new JTable(new MyAbstractTableModel());
		JScrollPane jsp = new JScrollPane(jt);
		getContentPane().add(jsp);
	}
}
// <applet code=TableModelTest width=250 height=100></applet>
