// ImageGraphicAttributeTest.java
import java.awt.*;
import java.applet.*;
import java.awt.font.*;
import java.text.*;
public class ImageGraphicAttributeTest extends Applet {
	public void paint(Graphics g) {
		Graphics2D g2 = (Graphics2D) g;
		g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
			RenderingHints.VALUE_ANTIALIAS_ON);

		AttributedString as = new AttributedString("Hello! I am \ufffc, the Duke.");
		Image i = new javax.swing.ImageIcon("images/duke.gif").getImage();
		ImageGraphicAttribute ia = new ImageGraphicAttribute(i,GraphicAttribute.TOP_ALIGNMENT); 
		as.addAttribute(TextAttribute.FONT, new Font("Cordia New",Font.PLAIN, 40));
		as.addAttribute(TextAttribute.CHAR_REPLACEMENT, ia, 12, 13);
		g2.drawString(as.getIterator(), 10, 50);
	}
}
// <applet code=ImageGraphicAttributeTest width=350 height=80> </applet>
