// IndexColorModelTest.java
import java.awt.*;
import java.awt.image.*;
public class IndexColorModelTest extends java.applet.Applet {
	Image i;
	byte[] rmap = { (byte)0xFF, (byte)0xFF, (byte)0x00 };
	byte[] gmap = { (byte)0x00, (byte)0xFF, (byte)0x00 };
	byte[] bmap = { (byte)0x00, (byte)0xFF, (byte)0x00 };
	byte r = 0, w = 1, b = 2;
	byte d[] = { 
		w, w, w, w, r, r, r, r, r, r, r, r, w, w, w, w,
		w, w, w, r, r, r, r, r, r, r, r, r, r, w, w, w,
		w, w, r, r, r, r, r, r, r, r, r, r, r, r, w, w,
		w, r, r, r, b, b, r, r, r, r, b, b, r, r, r, w,
		r, r, r, r, b, b, r, r, r, r, b, b, r, r, r, r,
		r, r, r, r, r, r, r, r, r, r, r, r, r, r, r, r,
		r, r, r, r, r, r, r, r, r, r, r, r, r, r, r, r,
		r, r, r, r, r, r, r, r, r, r, r, r, r, r, r, r,
		r, r, r, r, r, r, r, r, r, r, r, r, r, r, r, r,
		r, r, r, b, r, r, r, r, r, r, r, r, b, r, r, r,
		r, r, r, r, b, r, r, r, r, r, r, b, r, r, r, r,
		r, r, r, r, r, b, b, r, r, b, b, r, r, r, r, r,
		w, r, r, r, r, r, r, b, b, r, r, r, r, r, r, w,
		w, w, r, r, r, r, r, r, r, r, r, r, r, r, w, w,
		w, w, w, r, r, r, r, r, r, r, r, r, r, w, w, w,
		w, w, w, w, r, r, r, r, r, r, r, r, w, w, w, w };
	public void init() {
		IndexColorModel ic = 
				new IndexColorModel(8, 3, rmap, gmap, bmap);
		i = createImage(
				new MemoryImageSource(16, 16, ic, d, 0,16));
	}
	public void paint(Graphics g) {
		g.drawImage(i, 50, 15, this);
	}
}
// <applet code=IndexColorModelTest width=100 height=50> </applet>
