// PrintTest.java
import java.awt.*;
import java.awt.print.*;
class MyPrintable implements Printable {
	public int print(Graphics g, PageFormat pf, int i) {
		if (i < 0)
			return NO_SUCH_PAGE;
		Graphics2D g2 = (Graphics2D) g;
		g2.setFont(new Font("Courier New", Font.PLAIN, 30));
		g2.setPaint(Color.red);
		g2.drawString("Hello!", 140, 140);
		return PAGE_EXISTS;
	}
}
class PrintTest {
	public static void main(String args[]) {
		PrinterJob pj = PrinterJob.getPrinterJob();
		pj.setPrintable(new MyPrintable());
		if (pj.printDialog())
			try {
				pj.print();
			} catch (PrinterException e) {
				System.out.println(e);
			}
	}
}
