// Transient.java
import java.io.*;
class MyClass implements Serializable {
	int x;
	transient int y;
	MyClass(int x, int y) { this.x = x; this.y = y; }
	int getX() { return x; }
	int getY() { return y; }
}
class Transient {
	public static void main(String args[]) throws Exception {
		MyClass c = new MyClass(1, 2);
		FileOutputStream fo = new FileOutputStream("tmp");
		ObjectOutputStream oo = new ObjectOutputStream(fo);
		oo.writeObject(c);
		oo.close();
		FileInputStream fi = new FileInputStream("tmp");
		ObjectInputStream oi = new ObjectInputStream(fi);
		MyClass m = (MyClass) oi.readObject();
		System.out.println(m.getX() + "," + m.getY());
		oi.close();
	}
}
