// GetConstructorsTest.java
import java.lang.reflect.*;
class A { 
	public A() {}
	public A(int x, String s) { }
	protected A(int x) { }
	private A(String s) { }
}
class GetConstructorsTest {
	public static void main(String args[]) throws Exception{
		Class c = Class.forName("A");
		Constructor [] f = c.getConstructors();
		for (int i = 0; i < f.length; i++) {
			System.out.print(f[i].getName() + "(");
			Class pt[] = f[i].getParameterTypes();
 			for (int j = 0; j < pt.length; j++)
				System.out.print(pt[j].getName() + ", ");
			System.out.println(")");
		}
	}
}
