// CutPasteTest.java
import java.awt.*;
import java.awt.datatransfer.*;
import java.awt.event.*;
import java.io.*;
class CutPasteTest extends Frame {
	TextField tf1, tf2;
	CutPasteTest() {
		Button b1 = new Button("Cut");
		add(b1, BorderLayout.WEST);
		b1.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				cut();
			}
		});
		Button b2 = new Button("Paste");
		add(b2, BorderLayout.EAST);
		b2.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				paste();
			}
		});
		tf1 = new TextField("Hello");
		add(tf1, BorderLayout.NORTH);
		tf2 = new TextField("Hi");
		add(tf2, BorderLayout.SOUTH);
		setSize(200, 100);
		setVisible(true);
	}

	void cut() {
		String s = tf1.getText();
		tf1.setText("");
		StringSelection ss = new StringSelection(s);
		Clipboard cb = getToolkit().getSystemClipboard();
		cb.setContents(ss, ss);
	}
	void paste() {
		Clipboard cb = getToolkit().getSystemClipboard();
		Transferable t = cb.getContents(this);
		try {
			String x = (String)
				t.getTransferData(DataFlavor.stringFlavor);
			tf2.setText(x);
		}
		catch(UnsupportedFlavorException e) { }
		catch(IOException e) { }		
	}
	public static void main(String args[]) {
		new CutPasteTest();
	}
}
