// EnabledActionKey.java
import java.awt.*;
import java.awt.event.*;
class MyButton extends Button {
	MyButton(String s) {
		super(s);
		enableEvents(AWTEvent.ACTION_EVENT_MASK |
			AWTEvent.KEY_EVENT_MASK);
	}
	public void processActionEvent(ActionEvent e) {
		System.out.println(e.getActionCommand());
	}
	public void processKeyEvent(KeyEvent e) {
		if (e.getID() == KeyEvent.KEY_TYPED)
			System.out.println(e.getKeyChar());
	}
}
public class EnabledActionKey extends java.applet.Applet {
	public void init() {
		add(new MyButton("Hello"));
		add(new Button("Hi"));
	}
}
// <applet code=EnabledActionKey width=100 height=50></applet>
