// FocusListenerTest.java
// using MyFrame class from CloseableFrame.java
import java.awt.*;
import java.awt.event.*;
class MyFocusListener implements  FocusListener {
	public void focusGained(FocusEvent e) {
		Button b = (Button) e.getSource();
		System.out.println(b.getLabel() + " gains focus");
	}
	public void focusLost(FocusEvent e) {
		Button b = (Button) e.getSource();
		System.out.println(b.getLabel() + " loses focus");
	}
}
class FocusListenerTest {
	public static void main(String args[]) {
		MyFrame f = new MyFrame();
		Button b1 = (Button) f.add(new Button("Hello"));
		Button b2 = (Button) f.add(new Button("HI"));
		MyFocusListener l = new MyFocusListener();
		b1.addFocusListener(l);
		b2.addFocusListener(l);
		f.validate();
	}
}
