// ListSelectionTest.java
import javax.swing.*;
import javax.swing.event.*;
import java.awt.*;
import java.awt.event.*;
class MyListSelectionListener implements ListSelectionListener {
	public void valueChanged(ListSelectionEvent e) {
		JList jl = (JList) e.getSource();
		int si[] = jl.getSelectedIndices();
		ListModel lm = jl.getModel();
		for (int i = 0; i < si.length; i++)
			System.out.println(lm.getElementAt(si[i]));
	}
}
public class ListSelectionTest extends JApplet {
	public void init() {
		String s [] = {"Hello", "HI", "What's up?"};
		final JList jl = new JList(s);
		jl.setSelectionMode(
			ListSelectionModel.SINGLE_INTERVAL_SELECTION);

		Container cp = getContentPane();
		cp.add(jl, BorderLayout.NORTH);
		jl.addListSelectionListener(
				new MyListSelectionListener());

		JButton b0 = new JButton("Select Hello");
		JButton b1 = new JButton("Select All");
		JPanel jp = new JPanel();
		jp.add(b0); jp.add(b1);
		cp.add(jp, BorderLayout.SOUTH);
		b0.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				jl.setSelectedIndex(0);
			}
		});
		b1.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				jl.setSelectionInterval(0,2);
			}
		});
	}
}
// <applet code=ListSelectionTest width=200 height=150></applet>

