// ProgressMonitorTest.java
import java.awt.event.*;
import javax.swing.*;
class MyActionListener implements ActionListener {
	ProgressMonitor pm;
	int n = 0;
	MyActionListener(ProgressMonitor pm) {this.pm = pm;}
	public void actionPerformed(ActionEvent e) {
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				if (pm.isCanceled()) {
					pm.close();
					System.exit(0);
				}
				pm.setProgress(n);
				pm.setNote("Operation is "+ n +"% complete");
				n++;
			}
  		});
	}
}
class ProgressMonitorTest {
	public static void main(String args[]) {
		ProgressMonitor pm = new ProgressMonitor(
			new JFrame(),
			"Monitoring Progress",
			"Initializing . . .",
			0,
			100);
		Timer t = new Timer(100, new MyActionListener(pm));
		t.start();
	}
}
