// TreeModelTest.java
import javax.swing.*;
import javax.swing.tree.*;
import javax.swing.event.*;
import java.util.*;
class MyTreeModel implements TreeModel {
	Object r[] = {"Greeting", "Farewell"};
	Object g[] = {"Hello", "Hi", "What's up?"};
	Object f[] = {"Bye", "Good Night"};
	Vector v = new Vector();
	public Object getRoot() {return "Root";}
	public int getChildCount(Object p) {
		String s = p.toString();
		return  s.equals("Root")? r.length :
			s.equals("Greeting")? g.length :
			s.equals("Farewell")? f.length : 0;
	}
	public Object getChild(Object p, int i) {
		String s = p.toString();
		return  s.equals("Root")? r[i] :
			s.equals("Greeting")? g[i] :
			s.equals("Farewell")? f[i] : null;
	}
	public int getIndexOfChild(Object p, Object c) {
		String s = p.toString();
		String t = c.toString();
		if (s.equals("Root"))
			return t.equals("Greeting")? 0 : 1;
		if (s.equals("Greeting"))
			return  t.equals("Hello")? 0:t.equals("Hi")? 1:2;
		if (s.equals("Farewell"))
			return t.equals("Bye")? 0 : 1;
		return -1;
	}
	public boolean isLeaf(Object n) {
		String s = n.toString();
		if (s.equals("Root") | s.equals("Greeting") | s.equals("Farewell"))
			return false;
		return true;
	}
	public void addTreeModelListener(TreeModelListener l) {
		if (l != null && !v.contains(l)) v.addElement(l);
	}
	public void removeTreeModelListener(TreeModelListener l) {
		if (l != null) v.removeElement(l);
	}
	public void valueForPathChanged(TreePath p, Object o) { }
}
public class TreeModelTest extends JApplet {
	public void init() {
		MyTreeModel tm = new MyTreeModel();
		JTree t = new JTree(tm);
		getContentPane().add(t);
	}
}
// <applet code=TreeModelTest width=200 height=200></applet>

