// TreeSelectionTest.java
import javax.swing.*;
import javax.swing.tree.*;
import javax.swing.event.*;
import java.util.*;
class MyTreeSelectionListener implements TreeSelectionListener {
	public void valueChanged(TreeSelectionEvent se) {
		JTree t = (JTree) se.getSource(); 
		TreePath tp = t.getSelectionPath();
		System.out.println("Path: " + tp);
		DefaultMutableTreeNode n = (DefaultMutableTreeNode)
			t.getLastSelectedPathComponent();
		System.out.println("Node: " +n);
	}
}
public class TreeSelectionTest extends JApplet {
	public void init() {
		String g[] = {"Hello", "Hi", "What's up?"};
		String f[] = {"Bye", "Good Night"};
		Hashtable h = new Hashtable();
		h.put("Greeting", g); h.put("Farewell", f);
		JTree t = new JTree(h);
		TreeSelectionModel tsm = t.getSelectionModel();
		tsm.setSelectionMode(
TreeSelectionModel.SINGLE_TREE_SELECTION);
		t.addTreeSelectionListener(new MyTreeSelectionListener());
		getContentPane().add(t);
	}
}
// <applet code=TreeSelectionTest width=200 height=150></applet>
