// ConvertImage.java
import java.awt.*;
import javax.swing.*;
import java.awt.image.*;
class MyLib {
	public static BufferedImage toBufferedImage(Image i) {
		i = new ImageIcon(i).getImage();
		int w = i.getWidth(null);
		int h = i.getHeight(null);
		BufferedImage bi = new BufferedImage(w, h,
					BufferedImage.TYPE_INT_ARGB);
		Graphics2D g2 = bi.createGraphics();
		g2.setColor(Color.white);
		g2.fillRect(0, 0, w, h);
		g2.drawImage(i, 0, 0, null);
		g2.dispose();
		return bi;
	}
}
public class ConvertImage extends java.applet.Applet {
	Image i;
	public void init() {
		i = getImage(getCodeBase(), "images/Bird.gif");
	}
	public void paint(Graphics g) {
		BufferedImage bi = MyLib.toBufferedImage(i);
		g.drawImage(bi, 5, 0, this);
	}
}
// <applet code=ConvertImage width=10 height=110> </applet>
