// FontRenderContextTest.java
import java.awt.*;
import java.applet.*;
import java.awt.geom.*;
import java.awt.font.*;
public class FontRenderContextTest extends Applet {
	public void paint(Graphics g) {
		Graphics2D g2 = (Graphics2D) g;
		g2.setRenderingHint(
			RenderingHints.KEY_ANTIALIASING,
			RenderingHints.VALUE_ANTIALIAS_ON);
		Font f = new Font("Cordia New",Font.PLAIN, 20);
		g2.setFont(f);
		FontRenderContext fc = g2.getFontRenderContext();
		Rectangle2D r = f.getStringBounds("Hello", fc);
		System.out.println(r.getWidth());
	}
}
// <applet code=FontRenderContextTest width=100 height=100> </applet>
