// LineMetricsTest.java
import java.awt.*;
import java.applet.*;
import java.awt.geom.*;
import java.awt.font.*;
public class LineMetricsTest extends Applet {
	public void paint(Graphics g) {
		Graphics2D g2 = (Graphics2D) g;
		g2.setRenderingHint(
			RenderingHints.KEY_ANTIALIASING,
			RenderingHints.VALUE_ANTIALIAS_ON);
		Font f = new Font("Cordia New",Font.PLAIN, 20);
		g2.setFont(f);
		FontRenderContext fc = g2.getFontRenderContext();
		LineMetrics lm = f.getLineMetrics("Hello", fc);
		System.out.println("Leading: "+lm.getLeading());
		System.out.println("Ascent: "+lm.getAscent());
		System.out.println("Descent: "+lm.getDescent());
		System.out.println("Height: "+lm.getHeight());
	}
}
// <applet code=LineMetricsTest width=100 height=100> </applet>
